e-invoices

Stable. Describes behaviour that is built and covered by tests in this repository.

API reference

GET /v1/e-invoices #

The legal e-documents (e-fatura, e-arşiv, Peppol) of invoices and credit notes, newest first

Parameters

NameInTypeDescription
invoice_idquerystring · uuid
credit_note_idquerystring · uuid
statusquerypending | issued | failed | cancelled
page_sizequeryinteger
page_tokenquerystring

Responses

StatusMeaningBody
200OKEInvoiceList
400Error envelopeError
Example response
{
  "documents": [
    {
      "id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
      "kind": "invoice",
      "invoice_id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
      "credit_note_id": null,
      "number": "string",
      "status": "pending",
      "document_type": "",
      "provider": "string",
      "environment": "sandbox",
      "legal_number": "string",
      "external_id": "string",
      "attempts": 1,
      "next_attempt_at": null,
      "last_error_key": "einvoice.provider.rejected",
      "last_error": "string",
      "has_xml": false,
      "has_pdf": false,
      "created_at": "2026-11-03T10:15:00Z",
      "issued_at": null,
      "updated_at": "2026-11-03T10:15:00Z"
    }
  ],
  "next_page_token": "string",
  "total": "string"
}
curl
curl -X GET https://YOUR-API-ADDRESS/v1/e-invoices \
  -H "Authorization: Bearer $PAYRUDDER_API_KEY"

GET /v1/e-invoices/{id} #

One e-document

Parameters

NameInTypeDescription
id requiredpathstring · uuid

Responses

StatusMeaningBody
200OKEInvoiceDocument
404Error envelopeError
Example response
{
  "id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
  "kind": "invoice",
  "invoice_id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
  "credit_note_id": null,
  "number": "string",
  "status": "pending",
  "document_type": "",
  "provider": "string",
  "environment": "sandbox",
  "legal_number": "string",
  "external_id": "string",
  "attempts": 1,
  "next_attempt_at": null,
  "last_error_key": "einvoice.provider.rejected",
  "last_error": "string",
  "has_xml": false,
  "has_pdf": false,
  "created_at": "2026-11-03T10:15:00Z",
  "issued_at": null,
  "updated_at": "2026-11-03T10:15:00Z"
}
curl
curl -X GET https://YOUR-API-ADDRESS/v1/e-invoices/<id> \
  -H "Authorization: Bearer $PAYRUDDER_API_KEY"

GET /v1/e-invoices/{id}/files/{kind} #

A presigned link to the UBL XML or the PDF of an issued e-document (5 minutes)

Parameters

NameInTypeDescription
id requiredpathstring · uuid
kind requiredpathxml | pdf

Responses

StatusMeaningBody
200OKSignedUrl
404Error envelopeError
409Error envelopeError
Example response
{
  "url": "string",
  "expires_at": "2026-11-03T10:15:00Z"
}
curl
curl -X GET https://YOUR-API-ADDRESS/v1/e-invoices/<id>/files/<kind> \
  -H "Authorization: Bearer $PAYRUDDER_API_KEY"

Models

EInvoiceDocument

FieldTypeDescription
id requiredstring · uuid
kind requiredinvoice | credit_note
invoice_id requiredstring · uuid
credit_note_id requiredstring,null · uuid
number requiredstringPayrudder's invoice or credit note number
status requiredpending | issued | failed | cancelled
document_type required | e-fatura | e-arsiv | peppolEmpty until known
provider requiredstring
environment requiredsandbox | live
legal_number requiredstring
external_id requiredstring
attempts requiredinteger
next_attempt_at requiredstring,null · date-time
last_error_key requiredstring
last_error requiredstringEnglish text
has_xml requiredboolean
has_pdf requiredboolean
created_at requiredstring · date-time
issued_at requiredstring,null · date-time
updated_at requiredstring · date-time

EInvoiceList

FieldTypeDescription
documents requiredarray of EInvoiceDocument
next_page_token requiredstring
total requiredstring · int64

Error

FieldTypeDescription
error requiredobject

SignedUrl

FieldTypeDescription
url requiredstring · uri
expires_at requiredstring · date-timeRFC 3339, UTC